VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
DragCallbackAdapter Class Reference
New classes » Version 4.7

Drag callback interface adapter. More...

`#include <dragging.h>`

Inheritance diagram for DragCallbackAdapter:

## Public Member Functions
void | dragWillBegin (IDraggingSession *session, CPoint pos) override
| the drag will begin More...
void | dragMoved (IDraggingSession *session, CPoint pos) override
| the drag was moved More...
void | dragEnded (IDraggingSession *session, CPoint pos, DragOperation result) override
| the drag ended More...
virtual void | dragWillBegin (IDraggingSession *session, CPoint pos)=0
| the drag will begin More...
virtual void | dragMoved (IDraggingSession *session, CPoint pos)=0
| the drag was moved More...
virtual void | dragEnded (IDraggingSession *session, CPoint pos, DragOperation result)=0
| the drag ended More...
Public Member Functions inherited from IReference
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0 More...
virtual void | remember ()=0
| increase refcount More...

## Detailed Description

Drag callback interface adapter.

## Member Function Documentation

## ◆ dragEnded()

void dragEnded | ( | IDraggingSession * | session,
|  | CPoint | pos,
|  | DragOperation | result
| ) |  |
| inline override virtual

the drag ended

Parameters

  session | dragging session
  pos | drag position in CFrame coordinates
  result | the result of the drag

Implements IDragCallback.

## ◆ dragMoved()

void dragMoved | ( | IDraggingSession * | session,
|  | CPoint | pos
| ) |  |
| inline override virtual

the drag was moved

Parameters

  session | dragging session
  pos | drag position in CFrame coordinates

Implements IDragCallback.

## ◆ dragWillBegin()

void dragWillBegin | ( | IDraggingSession * | session,
|  | CPoint | pos
| ) |  |
| inline override virtual

the drag will begin

Parameters

  session | dragging session
  pos | drag position in CFrame coordinates

Implements IDragCallback.

The documentation for this class was generated from the following file:

- dragging.h